MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024630Open CASCADE[OCCT] OCCT:Configurationpublic2014-02-17 11:552014-09-15 11:20
Reporterabv 
Assigned Toibs 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 6.7.1Fixed in Version[OCCT] 6.7.1 
Summary0024630: Support building with Freetype 2.5.1+
DescriptionAs it is known from oce-dev discussion, layout of include files has been changed in FreeType since version 2.5.1. We need to check that and fix our build procedures to support this new layout. Besides, instructions for building FreeType, and archive of binaries on web site should be updated.
TagsNo tags attached.
Test case number
Attached Files

- Relationships
related to 0024850closedibs Open CASCADE CMake does not find include dir of freetype 2.5.3 
related to 0023692closedbugmaster Community Build procedure for FreeType leads to compilation errors 

-  Notes
(0028900)
omy (developer)
2014-04-16 18:24

Dear abv,

the fix is located in branch CR24630.
Please, review.
(0028934)
ibs (developer)
2014-04-17 15:12

dear bugmaster, pleas test (configure wok for freetype 2.5.1+, generate vc projects and build them)
(0029042)
bugmaster (administrator)
2014-04-23 17:35

WOK configuration freetype 2.5.1+ was tested successfully

- Issue History
Date Modified Username Field Change
2014-02-17 11:55 abv New Issue
2014-02-17 11:55 abv Assigned To => bugmaster
2014-02-17 11:59 abv Relationship added related to 0023692
2014-04-08 15:05 kgv Relationship added related to 0024376
2014-04-16 14:13 abv Assigned To bugmaster => omy
2014-04-16 14:13 abv Status new => assigned
2014-04-16 18:24 omy Note Added: 0028900
2014-04-16 18:24 omy Assigned To omy => abv
2014-04-16 18:24 omy Status assigned => resolved
2014-04-16 18:37 abv Assigned To abv => kgv
2014-04-17 14:22 ibs Relationship added related to 0024850
2014-04-17 14:22 ibs Assigned To kgv => ibs
2014-04-17 14:41 ibs Status resolved => assigned
2014-04-17 15:11 ibs Status assigned => resolved
2014-04-17 15:12 ibs Note Added: 0028934
2014-04-17 15:12 ibs Assigned To ibs => bugmaster
2014-04-17 15:12 ibs Status resolved => reviewed
2014-04-23 17:35 bugmaster Note Added: 0029042
2014-04-23 17:35 bugmaster Status reviewed => tested
2014-09-15 11:20 bugmaster Status tested => closed
2014-09-15 11:20 bugmaster Assigned To bugmaster => ibs
2014-09-15 11:20 bugmaster Resolution open => fixed
2014-09-15 11:20 bugmaster Fixed in Version => 6.7.1


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker